| Boost.Locale

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes
boost::locale::converter< Char > Class Template Reference
Text Conversions

The facet that implements text manipulation. More...

`#include <boost/locale/conversion.hpp>`

Inheritance diagram for boost::locale::converter< Char >:

List of all members.

## Public Member Functions

| converter (size_t refs=0)
| Standard constructor.
virtual std::basic_string< Char > | convert (conversion_type how, Char const *begin, Char const *end, int flags=0) const =0

## Static Public Attributes

static std::locale::id | id
| Locale identification.

## Detailed Description

### template<typename Char>
class boost::locale::converter< Char >

The facet that implements text manipulation.

It is used to performs text conversion operations defined by conversion_type. It is specialized for four types of characters `char`, `wchar_t`, `char16_t`, `char32_t`

## Member Function Documentation

template<typename Char >

virtual std::basic_string<Char> boost::locale::converter< Char >::convert | ( | conversion_type | how,
|  | Char const * | begin,
|  | Char const * | end,
|  | int | flags = `0`
| ) |  | const`[pure virtual]`

Convert text in range [begin, end) according to conversion method how. Parameter flags is used for specification of normalization method like nfd, nfc etc.

The documentation for this class was generated from the following file:

- boost/locale/conversion.hpp